import plotly.express as px
import plotly.graph_objects as go
data = dict(
    categories=[
        "\u200b", "NewPipe", "Hardware", "Development", "UI / UX", "Operational Cost", "Banking", "Legal", "Taxes", "Conferences", "froscon", "Internal", "Infrastructure", "Hosting", "Development\u200b", "Donations", "FOSDEM", "Weblate", "Merchandise" 
        ],
    parents=[
        "", "\u200b", "NewPipe", "NewPipe", "NewPipe", "\u200b", "Operational Cost", "Operational Cost", "Operational Cost", "\u200b", "Conferences", "Conferences", "\u200b", "Infrastructure", "Infrastructure", "\u200b", "Donations", "Donations", "\u200b"],
    values=[0, 0, 1000, 23040, 500, 0, 600, 1300, 3401, 176.98, 2000, 1500, 0, 800, 2500, 750, 600, 600, 850.84]
)

fig = px.sunburst(
    data,
    names='categories',
    parents='parents',
    values='values'
).update_layout(
    paper_bgcolor='#36454F',
#    plot_bgcolor='rgba(0,0,0,0)'
)
fig.write_image("2025.svg", width=750, height=750)
